Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::EventBox Class Reference

A GtkEventBox C++ wrapper class. More...

`#include <inti/gtk/eventbox.h>`

Inheritance diagram for Inti::Gtk::EventBox:

List of all members.

## Public Member Functions

Constructors

- EventBox ()
    Construct a new EventBox.
- virtual ~EventBox ()
    Destructor.

Accessors

- GtkEventBox * gtk_event_box () const
    Get a pointer to the GtkEventBox structure.
- GtkEventBoxClass * gtk_event_box_class () const
    Get a pointer to the GtkEventBoxClass structure.
- operator GtkEventBox * () const
    Conversion operator; safely converts an EventBox to a GtkEventBox pointer.

## Protected Member Functions

Constructors

- EventBox (GtkEventBox *event_box, bool reference=false)
    Construct a new EventBox from an existing GtkEventBox.

## Detailed Description

A GtkEventBox C++ wrapper class.

The EventBox widget is a subclass of Bin which also has its own window. It is useful since it allows you to catch events for widgets which do not have their own window.

## Constructor & Destructor Documentation

Inti::Gtk::EventBox::EventBox | ( | GtkEventBox * | event_box,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new EventBox from an existing GtkEventBox. Parameters:
  event_box | A pointer to a GtkEventBox.
  reference | Set false if the initial reference count is floating, set true if it's not.
The event_box can be a newly created GtkEventBox or an existing GtkEventBox (see G::Object::Object).

The documentation for this class was generated from the following file:

- eventbox.h

Main Page - Footer